Skip to content

Get agreement details

Payments
POSThttps://api.dcdial.com/api/type=agreement_details
Read onlyToken

Returns a payment agreement with its schedule and payment history.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always agreement_details for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • account_idstringrequired

    Your reference for the account (its accountid).

    Example ACC-10045
  • company_idintegerrequired

    Your DCDial company ID.

    Example 101
  • agreement_idintegeroptional

    ID of the payment agreement.

    Example 5521
Terminal window
curl https://api.dcdial.com/api/ \
-d type=agreement_details \
-d token="$DCDIAL_TOKEN" \
-d account_id=ACC-10045 \
-d company_id=101
Response · 200 OK
{
"response": {
"agreement_id": "5521",
"agreement_status": "Active",
"account_id": "ACC-10045",
"first_name": "Jane",
"last_name": "Doe",
"email": "[email protected]",
"phone_number": "5550100123",
"start_date": "2026-11-01",
"payment_frequency": "monthly",
"amount": "150.00",
"total_payments": "6",
"remaining_payments": "5",
"successful_payments": "1",
"failed_payments": "0",
"next_billing_date": "2026-12-01",
"exclude_holidays": "N",
"initial_balance": "900.00",
"remaining_balance": "750.00",
"payment_method": "CC",
"cc_4digit": "4242",
"last_payment_status": "Completed",
"schedule_id": "77120",
"agent": "jane.agent",
"voided_refunded_payments": 0,
"voided_nsf_payments": 0,
"voided_chargedback_payments": 0,
"voided_other_payments": 0
}
}

Try it

Environment